task annovar {

  File vcf
  String basename = basename(vcf,".vcf")
  String hg
  File annovar_database
  String docker
  String cluster_config
  String disk_size


  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)

    if [ ${hg} == "hg38" ]; then
    /installations/annovar/table_annovar.pl ${vcf}\
    ${annovar_database} -buildver ${hg} \
    -out ${basename} -remove \
    -protocol rmsk \
    -operation r \
    -nastring . -vcfinput -thread $nt
    fi
    
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File avinput = "${basename}.avinput"
    File rmsk_txt = "${basename}.${hg}_rmsk.txt"
    File rmsk_vcf = "${basename}.${hg}_rmsk.vcf"
  }
}